/* volume.h - Common Volume service routines.
 *
 * Copyright (C) 2005-2007   Ivo Clarysse
 * Copyright (C) 2013 Andrey Demenev
 * Copyright (C) 2014 Buffalo
 *
 * This file is part of GMediaRender.
 *
 * GMediaRender is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GMediaRender is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GMediaRender; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 */
 
#ifndef _VOLUME_H
#define _VOLUME_H

#include "upnp.h"

//for DoP
#define NO_VOLUME

#define VOLUME_MAX "100"
#define VOLUME_MAX_VAL 100

struct param_range volume_range;
struct param_range volume_db_range;

float volume_level_to_decibel(int volume);
int volume_decibel_to_level(float decibel);

#endif /* _VOLUME_H */
